Xerces-J API: Class Selector.Matcher

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.schema.identity
Class Selector.Matcher

    java.lang.Object
      |
      +--org.apache.xerces.validators.schema.identity.XPathMatcher
            |
            +--org.apache.xerces.validators.schema.identity.Selector.Matcher

Enclosing class:
  Selector

protected class Selector.Matcher
extends XPathMatcher

Selector matcher.

Author:
  Andy Clark, IBM

Field Summary
`protected int` | `fElementDepth` Element depth.
`protected FieldActivator` | `fFieldActivator` Field activator.
`protected int` | `fMatchedDepth` Depth at match.

Fields inherited from class org.apache.xerces.validators.schema.identity.XPathMatcher
`DEBUG_ALL, DEBUG_ANY, DEBUG_MATCH, DEBUG_METHODS, DEBUG_METHODS2, DEBUG_METHODS3, DEBUG_STACK, fIDConstraint, fNamespacesScope, fStringPool`

Constructor Summary
`Selector.Matcher(Selector.XPath xpath, FieldActivator activator)` Constructs a selector matcher.

Method Summary
`void` | `endElement(QName element, int elemIndex, SchemaGrammar grammar)` The end of an element.
`void` | `startDocumentFragment(StringPool stringPool)` The start of the document fragment.
`void` | `startElement(QName element, XMLAttrList attributes, int handle, int elemIndex, SchemaGrammar grammar)` The start of an element.

Methods inherited from class org.apache.xerces.validators.schema.identity.XPathMatcher
`characters, endDocumentFragment, getIDConstraint, getIsSelector, getMatchedString, isMatched, matched, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fFieldActivator

    protected FieldActivator fFieldActivator

  Field activator.

### fElementDepth

    protected int fElementDepth

  Element depth.

### fMatchedDepth

    protected int fMatchedDepth

  Depth at match.

Constructor Detail

### Selector.Matcher

    public Selector.Matcher(Selector.XPath xpath,
                            FieldActivator activator)

  Constructs a selector matcher.

Method Detail

### startDocumentFragment

    public void startDocumentFragment(StringPool stringPool)
                               throws java.lang.Exception

  Description copied from class: XPathMatcher
  The start of the document fragment.
  Overrides:
    startDocumentFragment in class XPathMatcher
  Tags copied from class: XPathMatcher
  Parameters:
    `namespaceScope` - The namespace scope in effect at the start of this document fragment.
    `grammar:` - the schema grammar we're validating against.
  Throws:
    SAXException - Thrown by handler to signal an error.

### startElement

    public void startElement(QName element,
                             XMLAttrList attributes,
                             int handle,
                             int elemIndex,
                             SchemaGrammar grammar)
                      throws java.lang.Exception

  The start of an element. If the document specifies the start element by using an empty tag, then the startElement method will immediately be followed by the endElement method, with no intervening methods.
  Overrides:
    startElement in class XPathMatcher
  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `handle:` - beginning of the attribute list
    `elemIndex:` - index of the element holding these attributes
    `grammar:` - the SchemaGrammar that all this is being validated by
  Throws:
    SAXException - Thrown by handler to signal an error.

### endElement

    public void endElement(QName element,
                           int elemIndex,
                           SchemaGrammar grammar)
                    throws java.lang.Exception

  Description copied from class: XPathMatcher
  The end of an element.
  Overrides:
    endElement in class XPathMatcher
  Tags copied from class: XPathMatcher
  Parameters:
    `element` - The name of the element.
    `eIndex:` - the elementDeclIndex of the current element; needed so that we can look up its datatypeValidator.
  Throws:
    SAXException - Thrown by handler to signal an error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.